Lock Fx Rates (GQL)

Note: All the Fx Pay API's have the endpoint: /graphql

Please refer to the link: FX Pay Transfers for details about FX Pay Transfers.

Use this API for create a lock on FX rates, securing a specific exchange rate for a future transaction.

Behaviour : A successful response from this API indicates that the Lock Fx Rates was successfully created.

FunctionWebhook
Lock Fx RateLock Fx Rate
Body Params

The following fields provide detailed information about the GraphQL mutation used to lock in FX rates for a specific currency conversion:

ParameterDescriptionMandatoryData TypeExample
lockFxRatesThis mutation is used to lock in FX rates for a specific currency conversion.YesMutation
lockFxRateInputAn object containing details required to lock in the FX rate.YesObject
sourceCurrencyThe currency from which the conversion will be made.YesStringUSD
destinationCurrencyThe currency to which the conversion will be made.YesStringINR
baseFxRateThe base foreign exchange rate without any markup or margin.YesFloat74.25
marginThe markup or margin added to the base foreign exchange rate. This represents the additional cost or profit associated with the currency conversion.YesFloat0.75
fxRateThe final foreign exchange rate, including any markup or margin, which is being locked in.YesFloat75.00
lockExpiryAtThe timestamp indicating when the locked exchange rate expires. After this time, the locked rate will no longer be valid.YesString2024-07-26T12:00:00Z
fxHoldIdA unique identifier for the FX rate hold or lock.YesStringfxHold12345
holdExpiryAtThe timestamp indicating when the FX rate hold or lock expires. After this time, the locked rate will no longer be valid for the specified currency conversion.YesString2024-07-26T12:00:00Z
string
required
Defaults to mutation { lockFxRates( lockFxRateInput: { sourceCurrency: "USD" destinationCurrency: "INR" baseFxRate: 82.920996, margin: 0.4, fxRate: 82.668 rateSignature: "zbKCl6jgwwHfRJLc5+NKLU0T9KE6EumbQvC4wKrpczLRUFetW0JXJOJvlsoo4Qj3Zv/gtWdaytcXBDk8oAU0Ea2GBq1+WlYNGpcB4N12xqUzgS6ZdPcNRdmFd21J0rs42j5zOTEeApXemOB8VarbAIRRPdydg0SPhtO3FmclghSjbKNBxD8vuLyGL7bYd7ZPt0VZUrVqquG1x9xRik6NtantCCaFXt0g/LvgUI+2e+6yHELfa6TZzAkZCeEB7xmXkX3ZqFtl4gCH30g5d9hGCUQN8kQTSLzo9igDbkcN4JIJQLRSxBQYlS+I2W19rWDmj9kC4ezG12wq53iXVVxwcSyrQcJZiQQPB/5Vu/J3QNtXi8aqdHvEGZtTPyY/+LkvUbThzFyHvC1+HLdC2zRuTpe8ABWSR4NObwd0BkOYUQ8KjMXXu0y58Z6glglnDyj/3BagD/WLo5anpG5NzQFyCv8bdItcWmovLaNCRIjlBLBlEJw+jeCioDKo6CxplHl4cZFS7z/NBMk5gQ==", lockExpiryAt: "2024-04-07T16:01:39.750Z" } ) { fxHoldId destinationCurrency sourceCurrency fxRate holdExpiryAt } }
Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json